import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增专业
    appCourseMajor(data) {
        return request({
            url: '/course/major',
            method: 'post',
            data
        })
    },
    //修改专业
    editCourseMajor(data) {
        return request({
            url: '/course/major/edit',
            method: 'post',
            data
        })
    },
    //查询专业列表
    inquireCourseMajor(data) {
        return request({
            url: '/course/major/list',
            method: 'get',
            params: data
        })
    },
    //获取专业详细信息
    obtainCourseMajor(data) {
        return request({
            url: `/course/major/` + data,
            method: 'get',
        })
    },
}